Поддержка Проблемы и решения Ошибка 500 на хостинге

  • Помогите, пожалуйста.

    Меняю уже 2 хостинг. Проблема: в админке невозможно работать, обновление ВП — ошибка 500, обновление темы или плагина (раз на раз, то есть то нет) — ошибка 500… Хостинг блокирует учетку за превышение использования ресурсов.
    Ставила ВП с нуля, без тем, плагинов, только статьи и фото — тоже самое. Переписывалась с хостером, перевели на какой-то другой тариф, что-то там колдовали, стало чуть лучше, но вот сегодня работаю и что-либо сделать с сайтом невозможно…
    Раньше на сайте была куча плагинов, виджитов и проч, все работало, потом пару лет сайт не трогала, версия ВП понятно обновилась и в какой-то момент стало все вот так плохо. Хостер говорит Вп во всем виноват.

    Версия6.1.1 (Последняя версия: 6.2)
    Язык сайтаru_RU
    Структура постоянных ссылок/%postname%/
    Использование сайтом HTTPSДа
    Использование режима сетиНет
    Любой может зарегистрироваться на сайте?Нет
    Запрет на индексацию сайтаНет
    Статус комментариев по умолчаниюзакрыты
    Тип окруженияproduction
    Число пользователей17
    Соединение с WordPress.orgСайт WordPress.org доступен

    advanced-cache.phpРасширенный плагин кеширования.
    object-cache.phpВнешний кеш для объектов.

    Активная тема

    ИмяAstra (astra)Версия4.1.3

    Активные плагины (10)

    Akismet Anti-SpamВерсия 5.1 автора Automattic | Автоматические обновления отключены
    Business Directory PluginВерсия 6.3.3 автора Business Directory Team | Автоматические обновления отключены
    Classic EditorВерсия 1.6.3 автора WordPress Contributors | Автоматические обновления отключены
    Classic WidgetsВерсия 0.3 автора WordPress Contributors | Автоматические обновления отключены
    Cyr-To-LatВерсия 5.5.2 автора Sergey Biryukov, Mikhail Kobzarev, Igor Gergel | Автоматические обновления отключены
    ElementorВерсия 3.12.1 автора Elementor.com | Автоматические обновления отключеныRename wp-login.phpВерсия 2.6.0 автора Ella van Durpe | Автоматические обновления отключены
    Starter TemplatesВерсия 3.2.0 автора Brainstorm Force | Автоматические обновления отключены
    W3 Total CacheВерсия 2.3.1 автора BoldGrid | Автоматические обновления отключены
    Yoast SEOВерсия 20.5 автора Team Yoast | Автоматические обновления отключены

    Серверная архитектураLinux 3.10.0-962.3.2.lve1.5.77.el7.x86_64 x86_64
    ПО веб-cервераApache/2.4.6 (CloudLinux) OpenSSL/1.0.2k-fips mod_fcgid/2.3.9
    PHP/5.4.16Версия PHP7.4.33 (Поддерживает 64-битные значения)
    PHP SAPIcgi-fcgi
    PHP max input variables1000
    PHP time limit (лимит времени исполнения скриптов)600
    PHP memory limit (лимит памяти для скриптов)512M
    Max input time-1Upload max filesize (максимальный размер загрузки)3232M
    PHP post max size (максимальный размер POST-запроса)3232M
    Версия cURL7.84.0 OpenSSL/1.1.1p
    Расширение SUHOSIN установлено?Нет
    Imagick доступен?Да
    Поддержка ЧПУДа
    Правила .htaccessПользовательские правила были добавлены в файл .htaccess

    База данных

    Расширениеmysqli
    Версия СУБД5.5.68-MariaDB-cll-lve
    Версия клиента БД5.5.62
    Кодировка БДutf8mb4
    Сопоставление БДutf8mb4_unicode_ci
    Максимальный размер пакета268435456
    Максимальное количество подключений10000

    WP_HOMEНе определено
    WP_SITEURLНе определено
    WP_MEMORY_LIMIT256M
    WP_MAX_MEMORY_LIMIT512M
    WP_DEBUGВыключено
    WP_DEBUG_DISPLAYВключено
    WP_DEBUG_LOGВыключено
    SCRIPT_DEBUGВыключено
    WP_CACHEВключено
    CONCATENATE_SCRIPTSНе определено
    COMPRESS_SCRIPTSНе определено
    COMPRESS_CSSНе определено
    WP_ENVIRONMENT_TYPEНе определено
    DB_CHARSETutf8
    DB_COLLATE

    Даже без тем и большинства плагинов выдавало ошибку.

    Подскажите, пожалуйста, что сказать хостеру, чтобы он в настройках у себя правильно настроил?

    Или может знаете недорогой хороший хостинг? (у меня не мегаогромный сайт, обычный блог, статей 300).

Просмотр 6 ответов — с 1 по 6 (всего 6)
  • вижу уже второй случай за неделю с такой проблемой. у вас случайно хостинг не reg.ru или nic.ru?

    в первом случае я подозреваю неправильную версию сервера базы данных. для WordPress указана минимальная версия mysql 5.7.

    сообщите, плз, если поможет замена базы.

    • Ответ изменён 1 год назад пользователем efess.
    Модератор Yuri

    (@yube)

    Хостер говорит

    За тридцать лет не встречал хостера, который бы сразу признал свою ошибку, даже когда его тычут носом в лужу.

    Автор oksna

    (@oksna)

    myhosti

    говорят у других все работает

    Я сейчас отключила Элементор. Захожу в плагины — 500.

    Жду минут 5, обновляю страницу, нажимаю там что-нибудь — опять 500. Жду. Обновляю.

    Вот так и тыкаюсь. Разве это работа на полупустом сайте?

    Предыдущий хостер даже не пытался что-то сделать, этот писал, что что-то перенастраивал, лимиты какие то снимал.

    Но толку, если такая работа… даже делать с сайтом ничего не хочется((((( это мука кая-то, а не работа…

    Автор oksna

    (@oksna)

    для WordPress указана минимальная версия mysql 5.7. сообщите, плз, если поможет замена базы.

    Это мне хостеру написать, чтобы мне базу другую поставил? А если у него только такая, искать другой хостинг?

    Модератор Yuri

    (@yube)

    для WordPress указана минимальная версия mysql 5.7.

    Где такое написано?

    Открываем /readme.html и видим требования

    System Requirements

    • PHP version 5.6.20 or greater.
    • MySQL version 5.0 or greater.

    А mysql 5.7 — это в рекомендованных, то есть не обязательных, но желательных

    Recommendations

    • PHP version 7.4 or greater.
    • MySQL version 5.7 or greater OR MariaDB version 10.3 or greater.
    Автор oksna

    (@oksna)

    При обновлении ВП или на странице плагина — В журнале

    [Wed Apr 12 10:13:56.464008 2023] [core:alert] [pid 4009688] /var/www/u101/data/www/…/.htaccess: Invalid command ‘SubstituteMaxLineLength’, perhaps misspelled or defined by a module not included in the server configuration, referer: https://…/regularniy_style/
    [Wed Apr 12 10:14:37.252731 2023] [fcgid:warn] pid 4039954Connection reset by peer: d_fcgid: error reading data from FastCGI server, referer: https://…/wp-admin/plugins.php?plugin_status=active
    [Wed Apr 12 10:14:37.252758 2023] [core:error] [pid 4039954] End of script output before headers: themes.php, referer: https://…./wp-admin/plugins.php?plugin_status=active

    [Wed Apr 12 10:24:03.675989 2023] [fcgid:warn] pid 4039954Connection reset by peer: mod_fcgid: error reading data from FastCGI server, referer: https://…/wp-admin/themes.php
    [Wed Apr 12 10:24:03.676011 2023] [core:error] [pid 4039954]End of script output before headers: themes.php, referer: https://…/wp-admin/themes.php
    [Wed Apr 12 10:24:09.625890 2023] [fcgid:warn] pid 4055748Connection reset by peer: mod_fcgid: error reading data from FastCGI server, referer: https://…/wp-admin/plugins.php
    [Wed Apr 12 10:24:09.625928 2023] [core:error] [pid 4055748] End of script output before headers: site-health.php, referer: https://…./wp-admin/plugins.php

    [Wed Apr 12 11:43:59.320947 2023] [fcgid:warn] pid 4098189Connection reset by peer: mod_fcgid: ap_pass_brigade failed in handle_request_ipc function, referer: https://…/wp-admin/update-core.php
    [Wed Apr 12 12:05:45.004118 2023] [fcgid:warn] pid 4097055Connection reset by peer: mod_fcgid: error reading data from FastCGI server, referer: https://…/wp-admin/plugins.php
    [Wed Apr 12 12:05:45.004142 2023] [core:error] [pid 4097055]End of script output before headers: plugins.php, referer: https://…/wp-admin/plugins.php

    • Ответ изменён 1 год назад пользователем oksna.
Просмотр 6 ответов — с 1 по 6 (всего 6)
  • Тема «Ошибка 500 на хостинге» закрыта для новых ответов.